脚本宝典收集整理的这篇文章主要介绍了

Android 2.x webview兼容注意事项

脚本宝典小编觉得挺不错的,现在分享给大家,也给大家做个参考,希望能帮助你少写一行代码,多一份安全和惬意。

不可使用 javascript 方法列表:

  1. Element.prototype.classList 只能通过正则低效的操作 className Can I use

  2. Element.prototype.dataset 只能通过 getAttributesetAttribute 获取设置 data-*属性 Can I use

  3. Function.prototype.bind 可通过添加 polyfill 方式使用 MDN

  4. html5 history API 包括 history.pushStatehistory.replaceStatpopstate 都能使用

有问题的 css 声明列表

  1. position: fixed 某些 webview 上元素会跟着手势滚动后再弹回到固定位置,如果是body直接子节点则没有此问题,建议是不用 position:fixed

  2. overflow: autooverflow: scroll, 不会实现可滚动元素,建议是只让body去滚动,万不得已使用 iscroll

  3. animation-fill-modeandroid 2.3之前不被支持

需要 sdk 设置开启才能使用的方法

  1. localStorage API

  2. alert confirm

总结

以上是脚本宝典为你收集整理的

Android 2.x webview兼容注意事项

全部内容,希望文章能够帮你解决

Android 2.x webview兼容注意事项

所遇到的程序开发问题,欢迎加入QQ群277859234一起讨论学习。如果觉得脚本宝典网站内容还不错,欢迎将脚本宝典网站推荐给程序员好友。 本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。如您有任何意见或建议可联系处理。小编QQ:384754419,请注明来意。

80%的人都看过